import { system, world } from "@minecraft/server"
const tick = () => system.run(() => {
    //Name Tag System
    const players = world.getPlayers()
    const entity = world.getDimension("overworld").getEntities()
    for (const player of players) {
        if (player.hasTag("raven_title")) {
            player.nameTag = `${player.name}\n§7Open my wings§r`
        }
        if (player.hasTag("pilz_title")) {
            player.nameTag = `${player.name}\n§cI am a Mushroom§r`
        }
        if (player.hasTag("knight_title")) {
            player.nameTag = `${player.name}\n§rNever break your §bCodex§r`
        }
        if (player.hasTag("villager_king_title")) {
            player.nameTag = `${player.name}\n§gKneel down!§r`
        }
        if (player.hasTag("goat_title")) {
            player.nameTag = `${player.name}\n§rThe §6G.O.A.T.§r`
        }
        if (player.hasTag("alien_title")) {
            player.nameTag = `${player.name}\nEverything Calculated`
        }
        if (player.hasTag("dragon_title")) {
            player.nameTag = `${player.name}\nIt's getting §chot§r!`
        }
        if (player.hasTag("default_title")) {
            player.nameTag = `${player.name}`
        }
    }
    tick()
})
tick();