import { world, system } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
world.events.itemUse.subscribe(d => {
    const player = d.source
    const item = d.item
    if (item.typeId == "s:menu") {
        new ActionFormData()
            .title("Minigames")
            .body("You are the host!\n choose a minigame to start the game!")
            .button("Hot Potatoe")
            .button("Sorting Game")
            .button("Knock Game")
            .button("Door Game")
            .button("Jumper Game")
            .button("Coin Game")
            .button("Ring Game")
            .button("Tron")
            .button("Fall Game")
            .button("Spleef")
            .button("Hit and Run")
            .button("close")
            .show(player).then(r => {
                if (r.selection === 0) {
                    player.runCommandAsync("function k")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 1) {
                    player.runCommandAsync("function so")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 2) {
                    player.runCommandAsync("function knock")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 3) {
                    player.runCommandAsync("execute at @r[name=door,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 4) {
                    player.runCommandAsync("function j")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 5) {
                    player.runCommandAsync("function coin")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 6) {
                    player.runCommandAsync("execute at @e[name=coin_game] run setblock ~ ~-5 ~ redstone_block")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 7) {
                    player.runCommandAsync("function tron")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 8) {
                    player.runCommandAsync("function fall")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 9) {
                    player.runCommandAsync("function spleef")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }
                if (r.selection === 10) {
                    player.runCommandAsync("function hit_game")
                    player.runCommandAsync("execute at @r[name=music,type=armor_stand] run setblock ~ ~-2 ~ redstone_block")
                }

            })
    }
})




