import { Vector, world } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
world.events.beforeChat.subscribe(event => {
    const msg = event.message
    const docker = event.sender
    //host chat event
    if (event.sender.hasTag("rhost") || event.sender.hasTag("shost")) {
        event.cancel = true
        world.say(`§5${event.sender.name}§r: ${msg}`)
    }
    if (event.sender.hasTag("staff")) {
        event.cancel = true
        world.say(`§c${event.sender.name}§r: ${msg}`)
    }
    //Commands
    if (msg.startsWith(".hub")) {
        event.cancel = true
        docker.runCommandAsync("tp @s 0 50 -22")
    }
    if (msg.startsWith(".s")) {
        event.cancel = true
        docker.runCommandAsync("tp @s -181 70 -161")
    }
})